Bug 472607 - Slot Type definitions only allow lowercase
Slot Type definitions only allow lowercase
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.1.1
: ---
Assigned To: Robert Rati
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 17:56 EST by Robert Rati
Modified: 2009-04-21 12:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:19:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2008-11-21 17:56:36 EST
Description of problem:
The condor manual at http://www.cs.wisc.edu/condor/manual/v7.1/3_12Setting_Up.html#SECTION004127000000000000000

States that "The four attribute names are case insensitive when defining slot types.", however putting:

SLOT_TYPE_1 = CPUS=100%,DISK=100%,SWAP=100%

in condor's configuration file causes the startd to error with the message (in StartLog):

Unknown attribute "CPU=100%" in slot type 1

Changing the CPU to cpu causes a similar complaint about DISK.  setting them all to lowercase solves the issue.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2009-01-12 09:13:13 EST
Slot type definitions can now be lower case.  The startd wasn't being case insensitive when it was checking the configuration files.  Added tolower() in switch statement for slot type definitions.
Comment 2 Jan Sarenik 2009-02-12 04:09:14 EST
Excuse me, but I am unable to find a version of Condor
which would produce any log complaint about the mentioned
line. Should I use any special debugging option to catch it?

I have tried these versions:
  condor-7.0.4-4.el5.i386 (from MRG 1.0.1)
  condor-7.1.4-0.3.el5.i386
  condor-7.1.4-0.5.el5.i386
  condor-7.2.2-0.1.el5.i386
Comment 3 Robert Rati 2009-02-12 13:30:59 EST
This was run into when testing dynamic provisioning.  If you add the following to the condor config file then you should see an error in StartLog:

SLOT_TYPE_1 = CPUS=100%,DISK=100%,SWAP=100%
SLOT_TYPE_1_PARTITIONABLE = TRUE
NUM_SLOTS = 1
NUM_SLOTS_TYPE_1 = 1
Comment 4 Jan Sarenik 2009-02-13 10:03:26 EST
Can you please also write the version number on which you
experienced the bug, please?

From the date of message you wrote about adding tolower()
I guess the bug should be present in condor <= 7.2.0-3
Is this assumption right?
Comment 5 Jan Sarenik 2009-02-13 10:09:27 EST
verified on condor-7.2.2-0.1.el5
reproduced on condor-7.1.4-0.3.el5
Comment 7 errata-xmlrpc 2009-04-21 12:19:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.